# 
#  @(#)common.sh	1.3 01/01/03
#
#  Copyright (c) 01/03/01 Sun Microsystems, Inc.  All Rights Reserved
#
#  @version 1.3 01/01/03 16:09:48
#

# This script provide the common routines for all other scripts.

#
# Set the I18N/L10N environment
current_path=`pwd`
sbin_dir=`dirname $0`
if [ -n "$sbin_dir" ]; then
    cd $sbin_dir
    sbin_path=`pwd`
    BASE_PATH=`dirname $sbin_path`
    cd $current_path
    TEXTDOMAIN="SUNW_HWDIAG" ; export TEXTDOMAIN;
    if [ "$LANG" != "C" ] && [ -n "$BASE_PATH/lib/locale/$LANG" ]; then
        TEXTDOMAINDIR="/var/opt/SUNWsymon/locale" ; export TEXTDOMAINDIR;
    else
        TEXTDOMAINDIR="$BASE_PATH/lib/locale" ; export TEXTDOMAINDIR;
    fi
fi
